[Howto] Installation von ispCP auf Debian

Real

New Member
Hier wird nach Host gefragt
Code:
apt-get install $(cat ./docs/Debian/debian-packages-`lsb_release -cs`)
standart ist Localdomain, Kann das so bleiben oder muss ich da Server namen eintragen. Beispiel meine Hostname heist so 11010 wie müsste ich dort eintragen. So [ srv01.11010 ]

und weiter bekomme ich Fehler.

Code:
root@11010:/usr/local/src/ispcp/ispcp-omega-1.0.7# apt-get install $(cat ./docs/Debian/debian-packages-`lsb_release -cs`)
Reading package lists... Done
Building dependency tree
Reading state information... Done
apache2-mpm-worker is already the newest version.
apache2 is already the newest version.
apache2.2-common is already the newest version.
apache2-suexec is already the newest version.
apache2-utils is already the newest version.
awstats is already the newest version.
bash is already the newest version.
bind9 is already the newest version.
bzip2 is already the newest version.
chkrootkit is already the newest version.
courier-authdaemon is already the newest version.
courier-base is already the newest version.
courier-imap is already the newest version.
courier-maildrop is already the newest version.
courier-pop is already the newest version.
diff is already the newest version.
dnsutils is already the newest version.
gcc is already the newest version.
gzip is already the newest version.
iptables is already the newest version.
ispell is already the newest version.
libapache2-mod-fastcgi is already the newest version.
libapache2-mod-fcgid is already the newest version.
libberkeleydb-perl is already the newest version.
libc6-dev is already the newest version.
libcrypt-blowfish-perl is already the newest version.
libcrypt-cbc-perl is already the newest version.
libcrypt-passwdmd5-perl is already the newest version.
libdate-calc-perl is already the newest version.
libdate-manip-perl is already the newest version.
libdatetime-perl is already the newest version.
libdatetime-timezone-perl is already the newest version.
libdbd-mysql-perl is already the newest version.
libdbi-perl is already the newest version.
libfile-copy-recursive-perl is already the newest version.
libfile-mimeinfo-perl is already the newest version.
libio-stringy-perl is already the newest version.
libmail-sendmail-perl is already the newest version.
libmailtools-perl is already the newest version.
libmcrypt4 is already the newest version.
libmd5-perl is already the newest version.
libmime-perl is already the newest version.
libnet-dns-perl is already the newest version.
libnet-libidn-perl is already the newest version.
libnet-netmask-perl is already the newest version.
libnet-smtp-server-perl is already the newest version.
libperl5.10 is already the newest version.
libsasl2-2 is already the newest version.
libsasl2-modules is already the newest version.
libsnmp-session-perl is already the newest version.
libterm-readkey-perl is already the newest version.
libterm-readpassword-perl is already the newest version.
libhtml-parser-perl is already the newest version.
libtimedate-perl is already the newest version.
libmysqlclient15off is already the newest version.
locales is already the newest version.
lsb-base is already the newest version.
lsb-release is already the newest version.
lynx is already the newest version.
lzma is already the newest version.
make is already the newest version.
mysql-client is already the newest version.
mysql-common is already the newest version.
mysql-server is already the newest version.
original-awk is already the newest version.
patch is already the newest version.
perl is already the newest version.
perl set to manually installed.
perl-base is already the newest version.
perl-modules is already the newest version.
perl-modules set to manually installed.
php-pear is already the newest version.
php5 is already the newest version.
php5-adodb is already the newest version.
php5-cgi is already the newest version.
php5-cli is already the newest version.
php5-gd is already the newest version.
php5-mcrypt is already the newest version.
php5-mhash is already the newest version.
php5-mysql is already the newest version.
policyd-weight is already the newest version.
postfix is already the newest version.
postgrey is already the newest version.
procmail is already the newest version.
proftpd is already the newest version.
rkhunter is already the newest version.
sasl2-bin is already the newest version.
ssh is already the newest version.
tar is already the newest version.
wget is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
7 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up postfix (2.5.5-1.1) ...

Postfix configuration was not changed.  If you need to make changes, edit
/etc/postfix/main.cf (and others) as needed.  To view Postfix configuration
values, see postconf(1).

After modifying main.cf, be sure to run '/etc/init.d/postfix reload'.

Running newaliases
newaliases: warning: valid_hostname: numeric hostname: 11010
newaliases: fatal: file /etc/postfix/main.cf: parameter mydomain: bad parameter value: 11010
dpkg: error processing postfix (--configure):
 subprocess post-installation script returned error exit status 75
dpkg: dependency problems prevent configuration of bsd-mailx:
 bsd-mailx depends on exim4 | mail-transport-agent; however:
  Package exim4 is not installed.
  Package mail-transport-agent is not installed.
  Package postfix which provides mail-transport-agent is not configured yet.
dpkg: error processing bsd-mailx (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of courier-maildrop:
 courier-maildrop depends on exim4 | mail-transport-agent; however:
  Package exim4 is not installed.
  Package mail-transport-agent is not installed.
  Package postfix which provides mail-transport-agent is not configured yet.
dpkg: error processing courier-maildrop (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of rkhunter:
 rkhunter depends on exim4 | postfix | sendmail | mail-transport-agent; however:
  Package exim4 is not installed.
  Package postfix is not configured yet.
  Package sendmail is not installed.
  Package mail-transport-agent is not installed.
  Package postfix which provides mail-transport-agent is not configured yet.
dpkg: error processing rkhunter (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of courier-imap:
 courier-imap depends on exim4 | mail-transport-agent; however:
  Package exim4 is not installed.
  Package mail-transport-agent is not installed.
  Package postfix which provides mail-transport-agent is not configured yet.
dpkg: error processing courier-imap (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of courier-pop:
 courier-pop depends on exim4 | mail-transport-agent; however:
  Package exim4 is not installed.
  Package mail-transport-agent is not installed.
  Package postfix which provides mail-transport-agent is not configured yet.
dpkg: error processing courier-pop (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of mailx:
 mailx depends on bsd-mailx; however:
  Package bsd-mailx is not configured yet.
dpkg: error processing mailx (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 postfix
 bsd-mailx
 courier-maildrop
 rkhunter
 courier-imap
 courier-pop
 mailx
E: Sub-process /usr/bin/dpkg returned an error code (1)
Was ich festgeschtellt habe, egal was ich installieren möchte gibt,s die selben Probleme.


Code:
Errors were encountered while processing:
 postfix
 bsd-mailx
 courier-maildrop
 rkhunter
 courier-imap
 courier-pop
 mailx
 at
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
Last edited by a moderator:

chrismaden

Keep it Low
versuch erstmal die datei: /etc/postfix/main.cf
zu editieren und bearbeite die stelle wo mydomain steht und dort trägst du deine ein und versuchst es erneut
 
Last edited by a moderator:

Real

New Member
Neu Installieren?
Server ist neu nur mit Debian 5 Lenny 64Bit Minimal installiert wurden, Muss ich da die sachen nochmal installieren.
 
Last edited by a moderator:

xeed

New Member
Hi,

ich hab ein ähnliches Problem wie MyBosna...laut der Anleitung hab ich natürlich meine Domain genommen, und vorher keine extra Subdomain für das Tool angelegt. Nun erreiche ich das Login über die Hauptseite:

Für die Installation von ispCP wird ein „fully qualified domain name“ (FQDN) benötigt, welcher nicht die Hauptdomain ist. Man kann eine Subdomain benutzen.

Die Domain ist: domain.de
Der FQDN ist: srv01.server.domain.de

Es ist wichtig sich nur einen Hostname zu überlegen und diesen stets anzugeben!
Der FQDN ist laut diesem Text bereits als Subdomain für das Tool gemeint. Dem scheint aber nicht so....

Den FQDN hab ich überall korrekt angegeben, jedoch steht hier "domain.de", wo ich dachte, es muss sich dabei um die Domain handeln, und nicht um die für das Tool angelegte Subdomain. Sehr komisch beschrieben das ganze.

Muss ich nun noch die Subdomain "srv01.server.domain.de" anlegen? Oder muss ich eine Subdomain EXTRA für den Login-Bereich anlegen, zb. ispcs.domain.de? Und vor allem...wie bekomme ich nun sauber die Admin-Oberfläche im Nachhinein auf eine Subdomain geroutet, ohne das Ding neu installieren zu müssen?
 
Last edited by a moderator:

cobrastyle

New Member
Hab schon hier ein problem:

Code:
apt-get install $(cat ./docs/Debian/debian-packages-`lsb_release -cs`)
Code:
root@root155:/usr/local/src/ispcp/ispcp-omega-1.0.7# apt-get install $(cat ./docs/Debian/debian-packages-`lsb_release -cs`)
cat: ./docs/Debian/debian-packages-n/a: Datei oder Verzeichnis nicht gefunden
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Das folgende Paket wurde automatisch installiert und wird nicht mehr benötigt:
  linux-libc-dev
Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Und dann bei : make install
Code:
cd ./tools && make install
make[1]: Entering directory `/usr/local/src/ispcp/ispcp-omega-1.0.7/tools'
(cd ./daemon; \
        make ispcp_daemon;)
make[2]: Entering directory `/usr/local/src/ispcp/ispcp-omega-1.0.7/tools/daemon'
gcc -ansi -Wall -Wstrict-prototypes -pedantic -c -O3 -o ispcp_daemon.o ispcp_daemon.c
In file included from ispcp_daemon.c:1:
ispcp_daemon.h:11:20: error: stdlib.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:17:20: error: syslog.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:23:22: error: sys/stat.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:24:23: error: sys/types.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:25:24: error: sys/socket.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:31:24: error: netinet/in.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:37:22: error: sys/time.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:43:20: error: signal.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:49:20: error: string.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:55:19: error: errno.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:61:20: error: unistd.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:67:19: error: stdio.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.h:73:23: error: arpa/inet.h: Datei oder Verzeichnis nicht gefunden
ispcp_daemon.c: In function âmainâ:
ispcp_daemon.c:10: error: storage size of âservaddrâ isnât known
ispcp_daemon.c:13: error: storage size of âcliaddrâ isnât known
ispcp_daemon.c:18: error: âpid_tâ undeclared (first use in this function)
ispcp_daemon.c:18: error: (Each undeclared identifier is reported only once
ispcp_daemon.c:18: error: for each function it appears in.)
ispcp_daemon.c:18: error: expected â;â before âchildpidâ
ispcp_daemon.c:19: error: âsocklen_tâ undeclared (first use in this function)
ispcp_daemon.c:19: error: expected â;â before âclilenâ
ispcp_daemon.c:24: error: âEOFâ undeclared (first use in this function)
ispcp_daemon.c:33: error: âLOG_DAEMONâ undeclared (first use in this function)
ispcp_daemon.c:35: warning: implicit declaration of function âsocketâ
ispcp_daemon.c:35: error: âAF_INETâ undeclared (first use in this function)
ispcp_daemon.c:35: error: âSOCK_STREAMâ undeclared (first use in this function)
ispcp_daemon.c:37: warning: implicit declaration of function âmemsetâ
ispcp_daemon.c:37: warning: incompatible implicit declaration of built-in function âmemsetâ
ispcp_daemon.c:37: error: âsize_tâ undeclared (first use in this function)
ispcp_daemon.c:37: error: expected â)â before âsizeofâ
ispcp_daemon.c:40: warning: implicit declaration of function âhtonlâ
ispcp_daemon.c:42: warning: implicit declaration of function âhtonsâ
ispcp_daemon.c:44: warning: implicit declaration of function âbindâ
ispcp_daemon.c:45: warning: implicit declaration of function âstrerrorâ
ispcp_daemon.c:45: error: âerrnoâ undeclared (first use in this function)
ispcp_daemon.c:45: warning: passing argument 2 of âsayâ makes pointer from integer without a cast
ispcp_daemon.c:46: warning: implicit declaration of function âexitâ
ispcp_daemon.c:46: warning: incompatible implicit declaration of built-in function âexitâ
ispcp_daemon.c:49: warning: implicit declaration of function âlistenâ
ispcp_daemon.c:50: warning: passing argument 2 of âsayâ makes pointer from integer without a cast
ispcp_daemon.c:51: warning: incompatible implicit declaration of built-in function âexitâ
ispcp_daemon.c:56: warning: implicit declaration of function âcallocâ
ispcp_daemon.c:56: warning: incompatible implicit declaration of built-in function âcallocâ
ispcp_daemon.c:56: error: invalid application of âsizeofâ to incomplete type âstruct timevalâ
ispcp_daemon.c:57: error: invalid application of âsizeofâ to incomplete type âstruct timevalâ
ispcp_daemon.c:59: error: invalid application of âsizeofâ to incomplete type âstruct timevalâ
ispcp_daemon.c:60: error: invalid application of âsizeofâ to incomplete type âstruct timevalâ
ispcp_daemon.c:62: error: dereferencing pointer to incomplete type
ispcp_daemon.c:63: error: dereferencing pointer to incomplete type
ispcp_daemon.c:65: error: dereferencing pointer to incomplete type
ispcp_daemon.c:66: error: dereferencing pointer to incomplete type
ispcp_daemon.c:68: warning: implicit declaration of function âsignalâ
ispcp_daemon.c:68: error: âSIGCHLDâ undeclared (first use in this function)
ispcp_daemon.c:69: error: âSIGPIPEâ undeclared (first use in this function)
ispcp_daemon.c:72: error: âFILEâ undeclared (first use in this function)
ispcp_daemon.c:72: error: âfileâ undeclared (first use in this function)
ispcp_daemon.c:72: warning: implicit declaration of function âfopenâ
ispcp_daemon.c:73: warning: implicit declaration of function âfprintfâ
ispcp_daemon.c:73: warning: incompatible implicit declaration of built-in function âfprintfâ
ispcp_daemon.c:73: warning: implicit declaration of function âgetpidâ
ispcp_daemon.c:74: warning: implicit declaration of function âfcloseâ
ispcp_daemon.c:79: error: âclilenâ undeclared (first use in this function)
ispcp_daemon.c:79: error: expected â;â before âsizeofâ
ispcp_daemon.c:81: warning: implicit declaration of function âacceptâ
ispcp_daemon.c:82: error: âEINTRâ undeclared (first use in this function)
ispcp_daemon.c:86: warning: passing argument 2 of âsayâ makes pointer from integer without a cast
ispcp_daemon.c:87: warning: incompatible implicit declaration of built-in function âexitâ
ispcp_daemon.c:91: warning: implicit declaration of function âsetsockoptâ
ispcp_daemon.c:91: error: âSOL_SOCKETâ undeclared (first use in this function)
ispcp_daemon.c:91: error: âSO_RCVTIMEOâ undeclared (first use in this function)
ispcp_daemon.c:91: error: invalid application of âsizeofâ to incomplete type âstruct timevalâ
ispcp_daemon.c:92: error: âSO_SNDTIMEOâ undeclared (first use in this function)
ispcp_daemon.c:92: error: invalid application of âsizeofâ to incomplete type âstruct timevalâ
ispcp_daemon.c:96: warning: implicit declaration of function âinet_ntopâ
ispcp_daemon.c:98: error: âchildpidâ undeclared (first use in this function)
ispcp_daemon.c:98: warning: implicit declaration of function âforkâ
ispcp_daemon.c:101: warning: implicit declaration of function âcloseâ
ispcp_daemon.c:105: warning: implicit declaration of function âsprintfâ
ispcp_daemon.c:105: warning: incompatible implicit declaration of built-in function âsprintfâ
ispcp_daemon.c:110: warning: implicit declaration of function âfreeâ
ispcp_daemon.c:110: warning: incompatible implicit declaration of built-in function âfreeâ
ispcp_daemon.c:112: warning: incompatible implicit declaration of built-in function âexitâ
ispcp_daemon.c:118: warning: implicit declaration of function âcloselogâ
ispcp_daemon.c:13: warning: unused variable âcliaddrâ
ispcp_daemon.c:10: warning: unused variable âservaddrâ
make[2]: *** [ispcp_daemon.o] Fehler 1
make[2]: Leaving directory `/usr/local/src/ispcp/ispcp-omega-1.0.7/tools/daemon'
make[1]: *** [daemon/ispcp_daemon] Fehler 2
make[1]: Leaving directory `/usr/local/src/ispcp/ispcp-omega-1.0.7/tools'
make: *** [install] Fehler 2
Kann mir jemand helfen ?
 

Artistee

New Member
Guten Morgen,
Die ispCP seite wurde gehackt?

Ich komme mit FQDM nicht klar, was genau muss ich hier eintragen.
ect/hosts

Code:
### Hetzner Online AG installimage
# nameserver config
# IPv4
127.0.0.1 localhost
xx.xx.xxx.xx  Debian-60-squeeze-64-minimal
#
# IPv6
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts
ect/hostname
Code:
Debian-60-squeeze-64-minimal
Könnte mir Bitte jemand das anpassen.

Mit freundlichen grüßen
 

Artistee

New Member
Ich denke ich Habs hinbekommen, wie rufe ich ispCP Panel, ich habe mit admin.domain.de ispcp.domain.de Probiert.

Bekomme diese Info, es scheint zu laufen.


Code:
It works!

This is the default web page for this server.

The web server software is running but no content has been added, yet.
Mfg
 

Otzelott

Member
Such dir lieber ein anderes CP, z.B. i-mscp, easyscp oder ISPConfig (2 oder 3). ispCP ist eingeschlafen oder tot.
 

checker

New Member
aber i-mscp und easyscp diese sind um längen besser wie ispcp wobei es ja Forks sind.

Ich kann dir i-mscp empfehlen
 
Top